AUSEARCH_CUR_EVENT(3)

NAME
ausearch_cur_event - check if the current event meets search criteria

SYNOPSIS
#include <auparse.h>

int ausearch_cur_event(auparse_state_t *au);"

DESCRIPTION
ausearch_cur_event will scan the input source and evaluate whether any record in the current event contains the data being searched for. Evaluation is done at the record level. If a match is found, the cursor is repositioned; otherwise, it remains on the last successfully parsed record within the current event.

RETURN VALUE
Returns -1 if an error occurs, 0 if no matches, and 1 for success.

SEE ALSO
ausearch_add_item(3), ausearch_add_regex(3), ausearch_next_event(3), ausearch_set_stop(3).

AUTHOR
Attila Lakatos